Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsBackLink

    java.lang.Object
      |
      +--com.novell.service.nds.NdsBackLink

public class NdsBackLink
extends java.lang.Object
implements NdsAttributeValue, , java.lang.Cloneable, java.io.Serializable

Provides access to values of the Back Link attribute. The Back Link attribute, which is multi-valued, contains the set of servers that stores an external reference to an associated object. It is used internally by NDS to notify such servers of changes in the status of the object.

Matching Rules: Equality

See Also:
  `NdsSyntaxId`, Serialized Form

Constructor Summary
`NdsBackLink(long remoteId, java.lang.String objectName)` Constructs an NdsBackLink object based on the specified remoteId and objectName parameters.

Method Summary
`boolean` | `approximate(java.lang.Object anObject)` Compares two Objects using the approximate equals matching rule.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`int` | `compareTo(java.lang.Object anObject)` Compares two Objects for ordering, or compares two strings lexicographically.
`int` | `count()` Returns the number of elements in this sequence.
`boolean` | `equals(java.lang.Object anObject)` Compares two Objects for equality.
`int` | `getNdsSyntaxId()` Returns the int that represents the SyntaxId.
`java.lang.String` | `getObjectName()` Returns the identity of the server holding the reference (remoteID).
`long` | `getRemoteId()` Returns the reference (remoteId) that is valid on the server.
`` | `getValue(java.lang.String compositeId)` Returns a SchemaValue object based on the given passed-in string containing the element value.
`java.util.Enumeration` | `getValueIds()` Returns an enumeration of composite IDs.
`java.util.Enumeration` | `getValues()` Returns an enumeration of the elements in this composite.
`boolean` | `supportsMatchingRules(int matchingRules)` Checks to see if this object supports the specified matching rules.
`java.lang.String` | `toString()` Generates and returns a string representation of the object.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NdsBackLink

    public NdsBackLink(long remoteId,
                       java.lang.String objectName)

  Constructs an NdsBackLink object based on the specified remoteId and objectName parameters.
  Parameters:
    `remoteId` - The external reference identifying the back linked object that is valid on the server.
    `objectName` - The server holding the external reference (remoteId).

Method Detail

### compareTo

    public int compareTo(java.lang.Object anObject)
                  throws java.lang.Exception

  Compares two Objects for ordering, or compares two strings lexicographically. The compareTo method does not apply to the NdsBacklink syntax because this syntax does not support the ordering and substrings matching rules.

### equals

    public boolean equals(java.lang.Object anObject)

  Compares two Objects for equality. The equals method compares this object value with the value of the reference object in the anObject parameter.

  The equals method implements the most discriminating possible equivalence relation on objects; that is, for any reference values X and Y, this method returns TRUE if and only if X and Y refer to the same object (X==Y has the value TRUE).

  Parameters:
    `anObject` - The reference object with which to compare.
  Returns:
    A boolean set to TRUE if and only if the argument is not NULL and is an NDS integer object that contains the same value as this object, otherwise set to FALSE.
  Overrides:
    equals in class java.lang.Object

### count

    public int count()

  Returns the number of elements in this sequence.
  Specified by:
    count in interface
  Returns:
    The number of elements in this sequence as an int.

### getValue

    public  getValue(java.lang.String compositeId)

  Returns a SchemaValue object based on the given passed-in string containing the element value. The SchemaValue object is a Java language data type.
  Specified by:
    getValue in interface
  Parameters:
    `compositeId` - Passed-in string containing the element value.
  Returns:
    A SchemaValue object containing the remoteId and objectName, or NULL.

### getValueIds

    public java.util.Enumeration getValueIds()

  Returns an enumeration of composite IDs.
  Specified by:
    getValueIds in interface
  Returns:
    An enumeration of composite IDs.

### getValues

    public java.util.Enumeration getValues()

  Returns an enumeration of the elements in this composite.
  Specified by:
    getValues in interface
  Returns:
    An enumeration of composite elements (remoteID and objectName).

### approximate

    public boolean approximate(java.lang.Object anObject)
                        throws java.lang.Exception

  Compares two Objects using the approximate equals matching rule. The approximate method does not apply to the NdsBacklink syntax because this syntax does not support the approximate equals matching rule.
  Specified by:
    approximate in interface NdsAttributeValue

### getNdsSyntaxId

    public int getNdsSyntaxId()

  Returns the int that represents the SyntaxId.
  Specified by:
    getNdsSyntaxId in interface NdsAttributeValue
  Returns:
    The syntax ID as an int.

### supportsMatchingRules

    public boolean supportsMatchingRules(int matchingRules)

  Checks to see if this object supports the specified matching rules.

  The NdsBackLink syntax supports only the equality matching rule.

  Specified by:
    supportsMatchingRules in interface NdsAttributeValue
  Parameters:
    `matchingRules` - Set of matching rules to check.
  Returns:
    A boolean set to TRUE if the matching rules for this object are equal to the matchingRules parameter.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning them the same value as the corresponding fields in this object. No constructor is called.
  Returns:
    A clone of this object instance containing the cloned syntax.
  Overrides:
    clone in class java.lang.Object

### toString

    public java.lang.String toString()

  Generates and returns a string representation of the object. In general, the toString method returns a string that textually represent this object. The result should be a concise but informative representation that is easy to read.
  Returns:
    A String representation of the object.
  Overrides:
    toString in class java.lang.Object

### getRemoteId

    public long getRemoteId()

  Returns the reference (remoteId) that is valid on the server.
  Returns:
    The valid reference (remoteId on the server).

### getObjectName

    public java.lang.String getObjectName()

  Returns the identity of the server holding the reference (remoteID).
  Returns:
    The identity of the server holding the reference (remoteID).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD